Image Hosted by ImageShack.us

    Da un commit di qualche giorno fa, kernel testing 2.6.26-rc1-git5 Autore: Mohamed Abbas.

>> Continua

Related Posts Plugin for WordPress, Blogger...

Il tuo indirizzo ip:
3.228.21.186

Valutazione 3.00 su 5
happy wheels 2 demo

Comments Closed

21 Comments

  • Algol ITALY Mozilla Firefox Ubuntu Linux 11 anni ago

    come segnalato da Alexit:
    http://alexit.wordpress.com/2008/05/02/linux-backports-modules-schede-wireless-intel-e-ralink-al-to/
    esiste il pacchetto per (K)ubuntu nei backports.

  • Divilinux ITALY Mozilla Linux 11 anni ago

    bene..ottima notizia
    Per chi non potesse usufruire dei backports, o non avesse Ubuntu, si puo’ tranquillamente installare il kernel 2.6.26-rc1-git5
    😉

  • Un altro modo per seguire gli aggiornamenti del wireless.git senza ricompilarsi l’intero kernel, è utilizzare il consueto pacchetto compat-wireless, che funziona benissimo anche su hardy (e in qualsiasi altra distro)
    😉
    Gli aggiornamenti (quotidiani) si possono vedere anche qui: http://git.kernel.org/?p=linux/kernel/git/linville/wireless-testing.git;a=shortlog
    Ciao! 😉

  • masand UNITED STATES Opera Windows 11 anni ago

    Ragazzi,
    innanzitutto grazie molte della sengalazione.

    Io ho installato il pacchetto che si trova nei backports, il led funziona, ma se durante l’uso del computer, agisco sul pulsante del WiFi, questa si spegne regolarmente, ma per farlo ripartire devo riavviare il computer (che l’attiva di default).

    In parole povere, prima non mi funzionava il led, ma il pulsante si (lo vedevo dal network manager) ora mi funiziona il led, ma non il pulsante.

    Qualche idea?

    Il portatile in questione è il Gemstone 5920G.

    Un saluto a tutti…
    masand

  • Divilinux ITALY Mozilla Linux 11 anni ago

    @masand
    qualche idea..hai gia’ detto tutto. Dopo aver installato la patch ti ritrovi in questa situazione
    Per tornare come prima potresti installare proprio i compat-wireless..non funzionera’ il led ma lo switch almeno si
    Il 2.6.26rc1 non funziona, nel senso che c’e’ un piccolo problema con la compilazione..quindi al momento non posso confermare l’effettivo funzionamento del led

  • Io credo che per tornare al punto di partenza basta disinstallare il pacchetto di backports. In questo modo tornano attivi i moduli di default del kernel di Hardy.

    Con i compat-wireless potresti aggiornare il tutto ad una versione ancora piu recente rispetto al pacchetto di backports. Ciò significa che potrebbero funzionare sia i led che lo switch…
    Io non posso dare la conferma perchè non ho una intel… però dovrebbe funzionare 🙂
    Ciao

  • Divilinux ITALY Mozilla Linux 11 anni ago

    Con i compat-wireless potresti aggiornare il tutto ad una versione ancora piu recente rispetto al pacchetto di backports. Ciò significa che potrebbero funzionare sia i led che lo switch…

    negativo..nell’ultimo snapshoot dei compat-wireless non c’e’ traccia della patch. Funziona solo lo switch

  • masand ITALY Mozilla Firefox Ubuntu Linux 11 anni ago

    Ragazzi,
    grazie delle risposte.

    A me a dire il vero, va bene anche così (anche perché quando uso il portatile, uso “per forza” anche il WiFi, per cui non è proprio un grosso il problema).

    Aspettoerò fin quando non aggiorneranno il tutto ufficialmente.

    P.S. Però sinceramente, me la aspettavo un pochino “meglio” questa LTS (driver nvidia, wifi ecc.), almeno da utonto, non mi sembra minimamente paragonabile alla 6.06…

    Un saluto a tutti…
    masand

  • Divilinux ITALY Mozilla Firefox Linux 11 anni ago

    @masand
    Questa volta possiamo anche dire che e’ andata di sfiga..
    Normalmente e’ difficile che avvenga una congiunzione astrale cosi’ precisa, per cui ogni 6 mesi va bene tutto quanto: iwl a posto, nvidia a posto, ralink a posto, ati a posto, alsa a posto….etc.
    Chi lavora per aggiungere le patch lo fa incessantemente..ma altrettanto incessantemente escono nuovi driver, migliorie o nefandezze, cambi di firmware o versioni..un sacco di roba insomma.
    L’uscita di Hardy ha (o “e'”..non saprei) coinciso con un periodo “no” di queste schede Intel e i driver Nvidia, che ultimamente non sono molto buoni (i 173.08 sopratutto).

    Ti assicuro che sto facendo fatica pure io a stare dietro a tutto..anche le altre distribuzioni naturalmente, chi piu’ chi meno, soffrono delle modifiche apportate al kernel.

  • Algol ITALY Mozilla Firefox Ubuntu Linux 11 anni ago

    Secondo me per una LTS la scelta degli iwl è stata prematura, forse gli ipw erano più adatti ad una long time support. Lo stesso per gli altri driver.
    Capisco che l’allineamento dei pianeti del sistema solare abbia fatto si che contemporaneamente tutti i driver hardware siano diventati penosi, ma allora perchè non passare per questa volta e rimanere su quelli meglio funzionanti?
    Son rimasto su gutsy (per quanto riguarda kubuntu), almeno per ora, mentre su Arch c’è la possibilità di usare sia gli ipw che gli iwl, attualmente uso il kernel 2.6.25 con gli ipw (son disponibili anche gli iwl) e tutto funziona, questa mi sembra una scelta più conservativa ed al servizio degli utenti.
    Capisco l’open source ma se poi le cose non funzionano è un po un fallimento per tutti!

  • Algol ITALY Mozilla Firefox Ubuntu Linux 11 anni ago

    ho scritto 216 volte la stessa cosa (iwl e ipw), la prossima volta farò meglio a rileggere, chiedo scusa!

  • Divilinux ITALY Mozilla Firefox Linux 11 anni ago

    Secondo me per una LTS la scelta degli iwl è stata prematura

    Ma non possono NON scegliere gli iwl..sono nel kernel!..e poi la intel non sviluppa piu’ gli ipw..dal kernel 2.6.24 non funzionano piu’.

    ma allora perchè non passare per questa volta e rimanere su quelli meglio funzionanti?

    Per lo stesso motivo di cui sopra..lo sviluppo degli ipw e’ finito. Se vuoi installare gli ipw vai su http://www.kernel,org e installi un kernel qualsiasi FINO al 2.6.23..li gli ipw li puoi ancora installare, se li trovi in giro.

    attualmente uso il kernel 2.6.25 con gli ipw

    http://bbs.archlinux.org/viewtopic.php?id=46321

    Non e’ che non voglio crederti..ma mi sembra davvero strano, perche’ il supporto e’ finito col kernel 2.6.24.

  • Caste ITALY Mozilla Firefox Debian GNU/Linux 11 anni ago

    Confermo quanto detto da Divi (non che ce ne sia bisogni, anzi…)
    Tanto è vero che io, per affezione/conservatorismo, su Lenny sto usando ancora il 2.6.23.17 con gli ipw, perché dal 2.6.24 non funzionavano più (o meglio, m-a non me li compilava).

    Comunque appoggio la protesta contro gli iwl…a mio parere sono pessimi, soprattutto se paragonati ai precedenti usati. Speriamo che con le nuove patch le funzionalità aumentino, degli ipw (per quanto closed) ero – e sono – ampiamente soddisfatto sotto tutti i punti di vista.

    😀

  • masand UNITED STATES Mozilla Firefox Windows 11 anni ago

    @ Divi,

    già, hai ragione… È andata di “sfiga”… Però potevano anche fare come hanno fatto per la scorsa LTS, hanno aspettato un po’ e poi l’hanno rilasciare… Magari potevano anche ‘stavolta fare una 8.06 🙂

    Un saluto a tutti…
    masand

  • Divilinux ITALY Mozilla Linux 11 anni ago

    @masand
    dal momento che di ubuntu poco mi importa (nel senso che per me e’ solo un ammasso di programmi che ruotano attorno al MIO kernel)…posso darti una risposta imparziale al massimo: hai ragione..forse era meglio aspettare
    A me non frega molto perche’ lo ripetero’ sino alla nausea..Ubuntu e’ un sistema operativo basato su linux, e che quindi ognuno puo’ sistemarsi come vuole..Ubuntu esce con lo stampino ma si comporta diversamente sui computer di ciascuno di noi..il resto e’ esperienza. Io ad oggi non ho un solo problema con Ubuntu..ma ho diversi amici che invece li hanno tutti questi problemi…

  • Algol SWEDEN Mozilla Firefox Ubuntu Linux 11 anni ago

    Premesso che parlo del kernel-Arch. In Arch si installa il pacchetto dei driver della scheda wireless. nel mio coso il pacchetto si chiama IPW3945, ma posso installare anche gli IWL volendo. Vi invito ha dare un occhio al wiki di arch, che non linko per non spammare.
    Comunque si fa tranquillamente ed è il motivo per cui ho preferito arch, posso usare solo la wireless io e con hardy non c’è verso.

  • Algol SWEDEN Mozilla Firefox Ubuntu Linux 11 anni ago

    p.s. ve lo farei anche uno screenshot ma ho spappolato tutto facendo una stupidaggine. Comunque visto che su Arch si fa lo potevano fare pure su ubuntu.

  • cirio ITALY Mozilla Firefox Windows 11 anni ago

    buona a sapersi;) aspettero che risolvano prima di testarlo sul mio ubuntu ^^

  • LucaV ITALY Mozilla Firefox Windows 11 anni ago

    Dunque, un paio di note:

    1- a me i compat wireless non funzionano. Li scarico, compilo, installo, ma al momento di caricarli niet. 🙁 Ho installato il kernel e gli headers come detto sul sito…non è che qualcuno può darmi qualche dritta?
    2- Il led per gli iwl funziona da mesi su linux-backports 🙂 Qualcuno però mi può dire se per caso hanno sistemato la faccenda del wpa-2? Io dipendo da una connessione del genere 5 giorni su 7, e la situazione attuale mi costringe letteralmente a stare su win vista per avere la connessione …
    3- I driver ipw IMHO facevano schifo; questi driver, patchati per il led, funzionano molto meglio (niente più problemi di sospensione, yeah). A parte appunto la faccenda del wpa2 :-/

  • Divilinux ITALY Mozilla Firefox Linux 11 anni ago

    @LucaV
    Salto il commento alle tue considerazioni personali e rispondo alle domande di carattere tecnico

    1-quando, su qualsiasi blog o forum, la compilazione di file sorgenti non va a buon fine..bisogna riportare l’errore. In questo caso, visto che mi pare di capire che tu li abbia compilati e installati, va riportato l’errore del caricamento (modprobe) e anche le ultime righe che il kernel picchia dentro al “dmesg”

    2- per caso hanno sistemato la faccenda del wpa-2?

    se hai un link con questo bug posso darti una mano nella ricerca ma a chi ti riferisci?

    – intel
    – Ubuntu
    – Il kernel team

    seguo piu’ che altro i commit del kernel, e ultimamente sono state introdotte features per il WEP..non ho visto nulla riguardo il WPA

    3- Al di la’ delle features limitate, offerte dagli ipw3945, posso confermare che il segnale risulta un po’ scadente . Da una scheda mini-pci interna, con antenna interna e solitamente montata sui laptop non mi sarei aspettato molto di piu’..e’ innegabile che con i drivers per windows (ufficiali) la scheda abbia prestazioni migliori in termini di segnale (vista all’opera sul pc di un amico).

    Il txpower, la gestione del power management e le modalita’ supportate erano/sono la croce di questi (ex) drivers.

    Gli iwl, per ora, sono ancora in una fase sperimentale.
    😉

  • LucaV ITALY Mozilla Firefox Linux 11 anni ago

    Magari potessi dare un errore per la compilazione … quella va a buon fine, come per l’installazione. Il problema viene dopo, al momento di caricare il modulo. Secondo il dmesg c’è un “disagreement” su un simbolo tra iwl3945 e iwl_mac80211. Come risultato, non si carica il modulo stesso …

    [ 2190.154731] iwlwifi_mac80211: disagrees about version of symbol wiphy_register
    [ 2190.154744] iwlwifi_mac80211: Unknown symbol wiphy_register
    [ 2190.154814] iwlwifi_mac80211: disagrees about version of symbol wiphy_new
    [ 2190.154820] iwlwifi_mac80211: Unknown symbol wiphy_new
    [ 2190.156004] iwlwifi_mac80211: disagrees about version of symbol wiphy_unregister
    [ 2190.156011] iwlwifi_mac80211: Unknown symbol wiphy_unregister
    [ 2190.157522] iwlwifi_mac80211: disagrees about version of symbol wiphy_free
    [ 2190.157529] iwlwifi_mac80211: Unknown symbol wiphy_free

    Cui seguono ovviamente altri errori per iwl3945. Ergo per cui, boh, non riesco a compilarli, e mi sto chiedendo se sbaglio qualcosa, dato che gli altri ci riescono :-/

    Quanto al bug per WPA2: credo che nessuno sappia veramente dove sia il problema 😛 Secondo gli sviluppatori del driver potrebbe essere nel mac80211. Comunque parecchi si sono lamentati della cosa appena uscita Hardy.

    Link del bug su intellinuxwireless: http://www.intellinuxwireless.org/bugzilla/show_bug.cgi?id=1507

    Per il resto io mi trovo bene con gli iwl … con gli ipw la sospensione era un incubo … certo però potersi connettere sarebbe meglio 😉

    Grazie per l’attenzione!

Comments are closed.